2016年05月28日

ruby2.2でredcarを動かすときの修正点

以前新しいエディタを試してみる試みで見つけたruby製テキストエディタのredcar。ruby2.0→2.2にバージョンアップを行ってから実行すると変なエラーを起こして起動失敗する

C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/lib/ruby/gems/2.2.0/gems/redcar-0.13/lib/redcar.rb:32:in `<top (required)>': uninitialized constant Config (NameError)
        from C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/lib/ruby/gems/2.2.0/gems/redcar-0.13/bin/redcar:23:in `<top (required)>'
        from C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/bin/redcar:22:in `load'
        from C:/Programs/usbrumix2/ruby/2.2/x64-mingw32/bin/redcar:22:in `<main>'

なんじゃこりゃ。


続きを読む
ラベル:ruby
posted by LoyalTouch at 08:19| Comment(0) | TrackBack(0) | クライアントサイド | このブログの読者になる | 更新情報をチェックする